Imagick::blurImage
Imagick::charcoalImage
Imagick
PHP Manual

# Imagick::borderImage

Surrounds the image with a border

### Description

bool Imagick::borderImage ( mixed `$bordercolor` , int `$width` , int `$height` )

Surrounds the image with a border of the color defined by the bordercolor ImagickPixel object.

### Parameters

`bordercolor`

  ImagickPixel object or a string containing the border color

`width`

  Border width

`height`

  Border height

### Return Values

Returns `TRUE` on success.

### Changelog

Version | Description
--- | ---
2.1.0 | Now allows a string representing the color as the first parameter. Previous versions allow only an ImagickPixel object.